JUCE: InAppPurchases::Download Struct Reference

JUCE

Public Types | Public Member Functions | List of all members
InAppPurchases::Download Struct Referenceabstract
juce_product_unlocking » in_app_purchases

iOS only: represents in-app purchase download. More...

`#include <juce_InAppPurchases.h>`

## Public Types
enum class | Status { waiting = 0 , active , paused , finished , failed , cancelled }

## Public Member Functions
virtual | ~Download ()
virtual String | getProductId () const =0
| A unique identifier for the in-app product to be downloaded. More...
virtual int64 | getContentLength () const =0
| Content length in bytes. More...
virtual String | getContentVersion () const =0
| Content version. More...
virtual Status | getStatus () const =0
| Returns current status of the download. More...

## Detailed Description

iOS only: represents in-app purchase download.

Download will be available only for purchases that are hosted on the AppStore.

## Member Enumeration Documentation

## ◆ Status

enum class InAppPurchases::Download::Status
| strong

Enumerator
waiting | The download is waiting to start. Called at the beginning of a download operation.
active | The download is in progress.
paused | The download was paused and is awaiting resuming or cancelling.
finished | The download was finished successfully.
failed | The download failed (e.g. because of no internet connection).
cancelled | The download was cancelled.

## Constructor & Destructor Documentation

## ◆ ~Download()

virtual InAppPurchases::Download::~Download | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getProductId()

virtual String InAppPurchases::Download::getProductId | ( |  | ) | const
| pure virtual

A unique identifier for the in-app product to be downloaded.

## ◆ getContentLength()

virtual int64 InAppPurchases::Download::getContentLength | ( |  | ) | const
| pure virtual

Content length in bytes.

## ◆ getContentVersion()

virtual String InAppPurchases::Download::getContentVersion | ( |  | ) | const
| pure virtual

Content version.

## ◆ getStatus()

virtual Status InAppPurchases::Download::getStatus | ( |  | ) | const
| pure virtual

Returns current status of the download.

The documentation for this struct was generated from the following file:

- juce_InAppPurchases.h